> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/check-available-balance-for-payout.md).

# Check Available Balance for Payout

Available payout balance is the total amount shown in local currency that can be used for requesting payout.

## **Endpoint**

| Environment | Method                                      | URL                                               |
| ----------- | ------------------------------------------- | ------------------------------------------------- |
| Sandbox     | <mark style="color:green;">**`GET`**</mark> | <https://payout.codapayments-staging.com/balance> |
| Production  | <mark style="color:green;">**`GET`**</mark> | <https://payout.codapayments.com/balance>         |

## **Request Parameters**

Read operation only. No parameter needed for the request.

## **Response Parameters**

| Parameter           | Description                                                                                                                                                                                                                                                                                                                         |
| ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| balance             | Total amount available for payout                                                                                                                                                                                                                                                                                                   |
| currency            | Currency for balance                                                                                                                                                                                                                                                                                                                |
| credit\_limit       | <p>If a publisher applies the Credit Flow, the publisher will be eligible for a specific credit limit amount.<br>This is to show the total amount of the credit limit that are still available for payout request</p><p><br></p><p>If publisher doesn’t applying the Credit Flow, this parameter won’t be shown in the response</p> |
| credit\_currency    | <p>Currency for credit\_limit<br><br>If publisher doesn’t applying the Credit Flow, this parameter won’t be shown in the response</p>                                                                                                                                                                                               |
| gst                 | If publisher is eligible for GST tax, this is to show the value of GST that will be applied for payout request. e.g. 0.01 (1%)                                                                                                                                                                                                      |
| fees.bank\_transfer | The value of Bank Transfer fee that will be applied for payout request. e.g. 0.01 (1%)                                                                                                                                                                                                                                              |
| fees.wallet         | The value of Wallet fee that will be applied for payout request. e.g. 0.01 (1%)                                                                                                                                                                                                                                                     |
| last\_updated       | <p>Last updated date and time for the balance information.<br>Date and time is in UTC timezone.</p>                                                                                                                                                                                                                                 |

The detailed information of available balance will be updated daily. The cut-off time is 5PM UTC+8.

## **Request and response samples**

### Check balance request

{% tabs %}
{% tab title="Unset" %}

```javascript
curl -L -X GET 'https://payout.codapayments-staging.com/balance' \
-H 'X-API-Key: Test_API_Key' \
-H 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJwYXJ0bmVyX2lkIjoicGFyX3NnMTg3MzI2ZjA4ZjB3cmtyMTA2IiwiaWF0IjoxNjgyNDg1MjYwfQ.ao1-YJBbkAEj1hWmK8vTydK1LyaQh2es9kc51VeJix4' \
-H 'Content-Type: application/json'
```

{% endtab %}
{% endtabs %}

### Check balance response (Credit flow)

{% tabs %}
{% tab title="Credit flow" %}

```javascript
{
    "balance": "10000.00",
    "currency": "USD",
    "credit_limit": "10000.00",
    "credit_currency": "USD",
    "gst": "0.08",
    "fees": {
        "wallet": "0.01",
        "bank_transfer": "0.02"
    },
    "last_updated": "2023-06-09T07:27:05.346867915Z"
}
```

{% endtab %}

{% tab title="Non-Credit flow" %}

```javascript
{
    "balance": "10000.00",
    "currency": "USD",
    "gst": "0.08",
    "fees": {
        "wallet": "0.01",
        "bank_transfer": "0.02"
    },
    "last_updated": "2023-06-09T07:27:05.346867915Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/check-available-balance-for-payout.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
